## budgie-desktop 10.9.1

=== debian/changelog ===
budgie-desktop (10.9.1-3ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:05:06 +0000

budgie-desktop (10.9.1-3ubuntu3) noble; urgency=medium

  * Bug-fixes
    - Don't show budgie-run-dialog in the icon-task-list
      fix-set-budgie-run-dialog-to-skip-pager-and-taskbar.patch
    - Fix workspace applet not switching when clicking on an app icon
      fix-workspace-applet-window-icon-click.patch
    - Fix scroll on the workspace applet
      Use-Enum-DOWN-instead-of-LEFT-to-scroll.patch
    - Display SNI icons that have a full path defined
      Work-around-even-more-SNI-noncompliance.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 24 Mar 2024 19:17:52 +0000

budgie-desktop (10.9.1-3ubuntu2) noble; urgency=high

  * No change rebuild against libcanberra-gtk3-0t64, libcanberra0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 24 Mar 2024 16:21:05 +0100

budgie-desktop (10.9.1-3ubuntu1) noble; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - d/control B/D libmagpie-0-dev
    - d/patches enable in series Rework-keyboard-ibus-handling.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 12 Mar 2024 19:09:55 +0000

budgie-desktop (10.9.1-3) experimental; urgency=medium

  * Fix FTBFS with v4.19.3 of libxfce4windowing
    Update-libxfce4windowing-to-4.19.3-547.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 12 Mar 2024 18:59:21 +0000

budgie-desktop (10.9.1-2ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:05:58 +0000

budgie-desktop (10.9.1-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:58:41 +0000

budgie-desktop (10.9.1-2ubuntu2) noble; urgency=medium

  * Correct merge error
    Drop switch_to_gnome_session.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 18 Feb 2024 16:18:02 +0000

budgie-desktop (10.9.1-2ubuntu1) noble; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - d/control B/D libmagpie-0-dev
    - d/patches enable in series Rework-keyboard-ibus-handling.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 17 Feb 2024 10:13:52 +0000

budgie-desktop (10.9.1-2) experimental; urgency=medium

  * d/control - switch to using budgie-session
    change runtime dependencies to budgie-session
    drop switch_to_gnome_session.patch
    d/control - drop B/D obsolete gnome-common, add intltool
    d/control - drop B/D debhelper since we are using compat

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 15 Feb 2024 10:02:02 +0000

budgie-desktop (10.9.1-1ubuntu1) noble; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - d/control B/D libmagpie-0-dev
    - d/patches enable in series Rework-keyboard-ibus-handling.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 02 Feb 2024 21:55:36 +0000

budgie-desktop (10.9.1-1) experimental; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
  * Packaging changes
    - d/budgie-core.manpages - add sendto man-page

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 02 Feb 2024 21:39:24 +0000

budgie-desktop (10.9-2ubuntu1) noble; urgency=low

  * Merge from Debian experimental. Remaining changes:
    - d/control B/D libmagpie-0-dev
    - d/patches enable in series Rework-keyboard-ibus-handling.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 29 Jan 2024 19:07:29 +0000

budgie-desktop (10.9-2) experimental; urgency=medium

  * d/control - replace suggestions with budgie-desktop-environment
    d/control - gir1.2-budgie-1.0 remove now obsolete replace/breaks
    d/control - drop B/D libgnome-bluetooth-dev (Closes: #1059486)
    d/control - add B/D cmake, libcanberra-gtk3-dev

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 29 Jan 2024 07:28:08 +0000

budgie-desktop (10.9-1) experimental; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
  * switch to using gnome-session
    switch_to_gnome_session.patch
  * d/control - update packaging descriptions
    Add B/D with libxfce4windowing-0-dev
  * d/control - restrict gnome-session to less than v46 since budgie
    will not launch with v46 and later; add budgie-session as an alternate
  * d/patches - refresh Rework-keyboard-ibus-handling.patch that will
    work with magpie; not built with patch until the magpie switch occurs

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 28 Jan 2024 15:18:12 +0000

budgie-desktop (10.8.2-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control B/D libmagpie-0-dev

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 09 Dec 2023 16:28:16 +0000

budgie-desktop (10.8.2-2) unstable; urgency=medium

  * d/rules - build with new zenity; this is needed to display the
    display dialog when a user changes the resolution
    d/control - add zenity version for B/D and budgie-core dependency

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 07 Dec 2023 21:02:44 +0000

budgie-desktop (10.8.2-1) unstable; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 19 Oct 2023 18:40:24 +0100

budgie-desktop (10.8.1-2) unstable; urgency=medium

  * Bug-fix
    - temporarily don't build with Rework-keyboard-ibus-handling.patch
      since this is causing a crash on logon

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 15 Oct 2023 22:46:23 +0100

budgie-desktop (10.8.1-1) unstable; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
    - drop patches since the dark theme capability is now included
      in this release
      0001-Support-freedesktop-color-scheme.patch


=== debian/control ===
Source: budgie-desktop
Section: x11
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Homepage: https://github.com/buddiesofbudgie/budgie-desktop
Build-Depends:
 debhelper-compat (= 13),
 gir1.2-gee-0.8,
 intltool,
 gnome-screensaver,
 gnome-settings-daemon-dev,
 gobject-introspection,
 gtk-doc-tools,
 libaccountsservice-dev,
 libasound2-dev,
 libcanberra-gtk3-dev,
 cmake,
 libgdk-pixbuf-2.0-dev,
 libgee-0.8-dev,
 libglib2.0-dev,
 libgnome-desktop-3-dev,
 libgstreamer1.0-dev,
 libgtk-3-dev,
 libibus-1.0-dev,
 libmagpie-0-dev,
 libnotify-dev,
 libpeas-dev,
 libpolkit-agent-1-dev,
 libpolkit-gobject-1-dev,
 libpulse-dev,
 libpulse-mainloop-glib0,
 libupower-glib-dev (>= 1.0),
 libwnck-3-dev,
 libxfce4windowing-0-dev (>= 4.19.3),
 meson,
 sassc,
 uuid-dev,
 valac,
 zenity (>= 3.99),
Standards-Version: 4.6.2
Vcs-Browser: https://github.com/ubuntubudgie/budgie-desktop/tree/debian
Vcs-Git: https://github.com/ubuntubudgie/budgie-desktop.git -b debian
Rules-Requires-Root: no

Package: budgie-core
Architecture: any
Depends:
 gnome-screensaver,
 budgie-session,
 gnome-settings-daemon,
 zenity (>= 3.99),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Core package for Budgie-Desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This is the base package for budgie-desktop.  This package provides:
  GNOME Network Manager autostart file specifically for Budgie
  budgie-desktop plugins
  locales and icons for budgie-desktop
  budgie-desktop executables
  GLib schemas for budgie-desktop
  Session file for budgie-desktop

Package: budgie-core-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-budgie-1.0 (= ${binary:Version}),
 gir1.2-budgieraven-1.0 (= ${binary:Version}),
 libbudgie-appindexer0 (= ${binary:Version}),
 libbudgie-plugin0 (= ${binary:Version}),
 libbudgie-private0 (= ${binary:Version}),
 libbudgietheme0 (= ${binary:Version}),
 libglib2.0-dev,
 libgtk-3-dev,
 libpeas-dev,
 libraven0 (= ${binary:Version}),
 ${misc:Depends},
Suggests: budgie-desktop-doc
Description: Development package for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This package provides the development files allowing compilation
 through the budgie-desktop API.  This package provides:
  C Header files
  Vala .vapi files

Package: budgie-desktop
Architecture: all
Depends:
 budgie-control-center,
 budgie-core,
 dconf-cli,
 ${misc:Depends},
 network-manager-gnome,
 xdotool,
Recommends: gir1.2-budgie-1.0, gir1.2-budgieraven-1.0, ${dist:Recommends}
Suggests:
 budgie-desktop-environment,
 ${dist:Suggests},
Description: Desktop package for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This package installs the minimal GNOME based package-set together with
 the key budgie-desktop packages to produce a working desktop
 environment.

Package: budgie-desktop-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Multi-Arch: foreign
Description: documentation files for the budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This package contains the API documentation in HTML format

Package: gir1.2-budgie-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: GNOME introspection library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This is the introspection library and allows creating plugins in
 python3, C and Vala

Package: gir1.2-budgieraven-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: GNOME introspection library for budgie-desktop (raven)
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This is the introspection library and allows creating plugins in
 python3, C and Vala for the raven sidebar

Package: libbudgie-appindexer0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Menu library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This manages all of the application and category menu states for
 installed applications on the system.

Package: libbudgie-raven-plugin0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Raven Plugin library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This add the raven plugin library to budgie-desktop

Package: libbudgie-plugin0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plugin library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This adds the panel plugin library to budgie-desktop

Package: libbudgie-private0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Budgie Private library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This provides a private ABI for raven and the budgie panel

Package: libbudgietheme0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Theme library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This adds the theme controls for budgie-desktop

Package: libraven0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Raven library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This provides the budgie-desktop user-defined settings called raven.

## budgie-desktop 10.9.2

=== meson_options.txt ===
option('ci', type: 'boolean', value: false, description: 'Continuous Integration flag (internal use only)')
option('use-old-zenity', type: 'boolean', value: false, description: 'Use old zenity CLI API for out-of-process dialog handling')
option('with-bluetooth', type: 'boolean', value: true, description: 'Enable Bluetooth (Vala option)')
option('with-gnome-screensaver', type: 'boolean', value: false, description: 'Build using gnome-screensaver as a dependency')
option('with-gtk-doc', type: 'boolean', value: true, description: 'Build gtk-doc documentation')
option('with-hibernate', type: 'boolean', value: true, description: 'Include support for system hibernation')
option('with-libuuid-time-safe', type: 'boolean', value: true, description: 'Enable use of LIBUUID.generate_time_safe (Vala option)')
option('with-polkit', type: 'boolean', value: true, description: 'Enable PolKit support')
option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
option('xdg-appdir', type: 'string', description: 'XDG autostart path')

=== debian/changelog ===
budgie-desktop (10.9.2-9) unstable; urgency=medium

  * Resolve crash on logon due to GNOME-49 wacom removal
    gnome-49-wacom.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 22 Aug 2025 19:39:18 +0100

budgie-desktop (10.9.2-8) unstable; urgency=medium

  * Resolve window-manager crash immediately on logon due to changes
    with mutter-48-rc (LP: #2102655)
    0001-Add-override-for-overlay-key-to-prevent-crash-with-m.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 15 Mar 2025 09:33:01 +0000

budgie-desktop (10.9.2-7) unstable; urgency=medium

  * Resolve FTBFS due to vala change
    0001-Resolve-vala-0.56.18-compact-class-inheritance-remov.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 04 Mar 2025 20:00:25 +0000

budgie-desktop (10.9.2-6) unstable; urgency=medium

  * Switch to using blueman for connection services since BCC
    has been patched to no longer display the bluetooth panel (#1059485)
    d/control budgie-desktop add blueman
    d/*.gschema.override - patch to hide the statusnotifier plugin
    switch-to-blueman.patch
  * d/changelog merge is missing 10.8.x changelogs

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 02 Jan 2025 19:34:21 +0000

budgie-desktop (10.9.2-5) unstable; urgency=medium

  * Upload to unstable now that libxfce4windowing is available

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 20 Dec 2024 15:56:45 +0000

budgie-desktop (10.9.2-4) experimental; urgency=medium

  * Add compatibility for the latest libxfce4windowing
    0001-Adapt-to-xf4w-v4.19.8-630.patch
    d/control bump versioning for libxfce4windowing

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 05 Dec 2024 19:27:06 +0000

budgie-desktop (10.9.2-3) experimental; urgency=medium

  * d/control budgie-desktop - update to depends on network-manager-applet
    not the now transition package network-manager-gnome
    (Closes: #1086814)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 07 Nov 2024 20:01:05 +0000

budgie-desktop (10.9.2-2) experimental; urgency=medium

  * Switch to using magpie
  * Re-add Rework-keyboard-ibus-handling.patch since we are now using
    magpie
  * Add enforce-no-implicit-function-declaration.patch for meson 1.4 issues
  * Packaging changes
    d/control B/D magpie (Closes: #1067117)
    d/control introspection packaging changes state that a B/D on
    dh-sequence-gir is required as will as Provides statements
    for the gir packages budgie creates for the core dev binary package

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 02 Oct 2024 17:55:13 +0100

budgie-desktop (10.9.2-1) experimental; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
  * Packaging changes
    - drop Update-libxfce4windowing-to-4.19.3-547.patch since this is
      included with this release

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 22 Jun 2024 14:00:57 +0100

budgie-desktop (10.8.2-5) unstable; urgency=medium

  * d/control budgie-desktop - update to depends on network-manager-applet
    not the now transition package network-manager-gnome
    (Closes: #1086814)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 07 Nov 2024 19:48:39 +0000

budgie-desktop (10.8.2-4) unstable; urgency=medium

  * d/control B/D switch from libmutter to libmagpie to resolve
    FTBFS (Closes: #1067117)
  * Add disable-warnings.patch to not error for valac-meson 1.4 issues
  * Add enforce-no-implicit-function-declaration.patch for meson 1.4 issues
  * Additional Packaging changes to tidy up lintian issues
    d/control - drop B/D obsolete gnome-common, add intltool
    d/control - drop B/D debhelper since we are using compat
    d/control - gir1.2-budgie-1.0 remove now obsolete replace/breaks
    d/control introspection packaging changes state that a B/D on
    dh-sequence-gir is required as will as Provides statements
    for the gir packages budgie creates for the core dev binary package

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 30 Sep 2024 22:22:36 +0100

budgie-desktop (10.8.2-3) unstable; urgency=medium

  * d/control - switch from gnome-session to budgie-session
    switch-to-budgie-session.patch
    d/control - update descriptions of GNOME components budgie uses

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 15 Feb 2024 09:46:00 +0000

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	SUBSTVARSREC = -Vdist:Recommends="nemo"
	SUBSTVARSSUG = -Vdist:Suggests="budgie-desktop-view"
else
	SUBSTVARSREC = -Vdist:Recommends="budgie-desktop-view"
	SUBSTVARSSUG = -Vdist:Suggests="gnome-terminal, nautilus"
endif

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --libdir=/usr/lib -Dwith-gnome-screensaver=true

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARSREC) $(SUBSTVARSSUG)

override_dh_auto_install:
	dh_auto_install
	mkdir -p "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
	mv "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0/Budgie-1.0.typelib" "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
	mv "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0/BudgieRaven-1.0.typelib" "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
	rm -rf "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0"
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
	dh_install -pbudgie-desktop debian/15_budgie-desktop-ubuntu.gschema.override /usr/share/glib-2.0/schemas/
endif
ifeq ($(shell dpkg-vendor --is Debian && echo yes),yes)
	dh_install -pbudgie-desktop debian/15_budgie-desktop-debian.gschema.override /usr/share/glib-2.0/schemas/
endif

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog-announcement.txt

## budgie-desktop 10.9.3

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
 option('ci', type: 'boolean', value: false, description: 'Continuous Integration flag (internal use only)')
+option('bsd-libexecdir', type: 'string', description: 'Directory containing the bsd-* and gsd-* executables')
+option('labwc-bindir', type: 'string', description: 'Directory containing the labwc executable')
+#option('magpie-bindir', type: 'string', description: 'Directory containing the magpie-wm executable')
 option('use-old-zenity', type: 'boolean', value: false, description: 'Use old zenity CLI API for out-of-process dialog handling')
 option('with-bluetooth', type: 'boolean', value: true, description: 'Enable Bluetooth (Vala option)')
 option('with-gnome-screensaver', type: 'boolean', value: false, description: 'Build using gnome-screensaver as a dependency')

=== debian/changelog ===
budgie-desktop (10.9.3-1) unstable; urgency=medium

  * New upstream release
    - micro release which resolves GNOME 49 incompatibilities with Budgie
    (Closes: #1119786)
    In GNOME 49.x, gnome-settings-daemon received various changes including
    the deprecation of their .desktop files as well as deprecation of
    functionality such as MediaKeys (brightness) (moved into Shell). We now
    have an in-tree fork of GSD, specifically targeted at:
    MediaKeys (bsd-media-keys)
    Power (bsd-power)
    Wacom (bsd-wacom)
    All other components will continue to be pulled in from GSD, with our
    executables being co-installable with GSD. Alongside this, we ship with
    a range of autostart desktop files to ensure the appropriate execs are
    launched with Budgie Desktop.
  * Drop the following patches since these are incorporated in this release
    gnome-49-wacom.patch
    0001-Adapt-to-xf4w-v4.19.8-630.patch
    0001-Add-override-for-overlay-key-to-prevent-crash-with-m.patch
    0001-Resolve-vala-0.56.18-compact-class-inheritance-remov.patch
  * d/control - add B/D required for the above patch:
    libwacom-dev, libgudev-1.0-dev, systemd-dev
  * d/control - Bump StandardsVersion - no further changes required
  * d/copyright - update for the microrelease
  * d/control - add gnome-settings-daemon version restriction to support
    migration to GNOME 49

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 31 Oct 2025 18:33:51 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Homepage: https://github.com/buddiesofbudgie/budgie-desktop
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-gir,
  gir1.2-gee-0.8,
  intltool,
  gnome-screensaver,
- gnome-settings-daemon-dev,
+ gnome-settings-daemon-dev (>=49),
  gobject-introspection,
  gtk-doc-tools,
  libaccountsservice-dev,
@@ -31,13 +32,16 @@
  libpulse-mainloop-glib0,
  libupower-glib-dev (>= 1.0),
  libwnck-3-dev,
- libxfce4windowing-0-dev (>= 4.19.3),
+   libwacom-dev,
+   libgudev-1.0-dev,
+   systemd-dev,
+ libxfce4windowing-0-dev (>= 4.19.7),
  meson,
  sassc,
  uuid-dev,
  valac,
  zenity (>= 3.99),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://github.com/ubuntubudgie/budgie-desktop/tree/debian
 Vcs-Git: https://github.com/ubuntubudgie/budgie-desktop.git -b debian
 Rules-Requires-Root: no
@@ -47,7 +51,7 @@
 Depends:
  gnome-screensaver,
  budgie-session,
- gnome-settings-daemon,
+ gnome-settings-daemon (>= 49),
  zenity (>= 3.99),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -80,7 +84,10 @@
  libgtk-3-dev,
  libpeas-dev,
  libraven0 (= ${binary:Version}),
- ${misc:Depends},
+ ${misc:Depends}
+Provides: gir1.2-budgie-1.0-dev (= ${binary:Version}),
+ gir1.2-budgieraven-1.0-dev (= ${binary:Version}),
+ ${gir:Provides}
 Suggests: budgie-desktop-doc
 Description: Development package for budgie-desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
@@ -100,8 +107,9 @@
  budgie-control-center,
  budgie-core,
  dconf-cli,
+ blueman,
  ${misc:Depends},
- network-manager-gnome,
+ network-manager-applet,
  xdotool,
 Recommends: gir1.2-budgie-1.0, gir1.2-budgieraven-1.0, ${dist:Recommends}
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	dh $@ --with gir
 
 override_dh_auto_configure:
+	touch src/daemon/bsd/plugins/common/gtk.css
 	dh_auto_configure -- --prefix=/usr --libdir=/usr/lib -Dwith-gnome-screensaver=true
 
 override_dh_gencontrol:

=== debian/watch ===
version=4
# opts=filenamemangle=s/$/.asc/ https://github.com/buddiesofbudgie/budgie-desktop/releases .*/budgie-desktop-v([0-9.]+)\.tar\.xz
# version=4
# Upstream releases official tarballs; we use
# those in preference to git tags
opts="\
    pgpsigurlmangle=s/$/.asc/,\
    compression=xz, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-v$2.tar.xz#, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/buddiesofbudgie/@PACKAGE@/tags .*/releases/tag/v?@ANY_VERSION@

## budgie-desktop 10.10~preview.1

=== debian/changelog ===
budgie-desktop (10.10~preview.1-0ubuntu1) resolute; urgency=medium

  * New upstream release
    - upstream has marked this as preview to indicate that it is
      experimental (LP: #2132268)
    - this preview release transitions budgie to be a wayland only
      desktop.  (Closes: #990678)
      The packaging changes described below reflect
      this transition. (Closes: #980384)
  * d/control switch Vcs to budgie-desktop-debian for gbp buildpackage
    compatibility
  * tweak lib dependencies to ensure version of binary is respected
  * Add conflict for budgie-appmenu-applet, budgie-sntray-applet since
    these are incompatible with budgie-desktop 10.10
  * add the two budgie gir packages as dependencies for budgie-core,
    remove as recommends from budgie-desktop
  * Add Conflicts: appmenu-gtk3-module to force its uninstallation
  * Remove obsolete /etc/xdg/autostart/ files via budgie-core.conffiles
  * Use multiarch location for installs
  * Add python3-psutil to allow labwc python3 to run
  * Add mutter-common as a dependency
  * Add slurp as a dependency, gtklock and gtklock-user-module as suggests
  * move magpie to recommends, add grim as a dependency for screen capture
  * Remove B/D libmagpie-0-dev
  * Switch to using libpeas2 and pygobject 3.54 (helps address issue #1120138)
    add replaces/breaks on gir1.2-budgie-3.0
    use old/new d/control to uplift gir1.2-budgie-3.0
    add replaces/breaks on gir1.2-budgieraven-1.0
    use old/new d/control to uplift gir1.2-budgieraven-3.0
  * remove build rule with gnome-screensaver
  * Remove gnome-screensaver dependency (Closes: #1092932)
    to ensure gnome-shell et all are not being pulled
  * add notification-daemon to stop gnome-shell etc all being pulled in
  * Add labwc as an alternate wayland session
  * Note; restores superficial autopkgtest (Closes: #1004364)
  * Revise symbols for this release
  * wrap-and-sort -bst

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 08 Nov 2025 09:43:01 +0000

=== debian/control ===
Source: budgie-desktop
Section: x11
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Homepage: https://github.com/buddiesofbudgie/budgie-desktop
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 gir1.2-gee-0.8,
 git,
 gnome-settings-daemon-dev,
 gobject-introspection,
 gtk-doc-tools,
 intltool,
 libaccountsservice-dev,
 libasound2-dev,
 libcanberra-gtk3-dev,
 libdisplay-info-dev,
 libgdk-pixbuf-2.0-dev,
 libgee-0.8-dev,
 libgirepository-2.0-dev,
 libglib2.0-dev,
 libgnome-desktop-3-dev,
 libgstreamer1.0-dev,
 libgtk-3-dev,
 libgtk-layer-shell-dev,
 libibus-1.0-dev,
 libnotify-dev,
 libpeas-2-dev,
 libpolkit-agent-1-dev,
 libpolkit-gobject-1-dev,
 libpulse-dev,
 libpulse-mainloop-glib0,
 libupower-glib-dev (>= 1.0),
 libwnck-3-dev,
 libxfce4windowing-0-dev (>= 4.19.4),
 meson,
 sassc,
 uuid-dev,
 valac,
 zenity (>= 3.99),
Standards-Version: 4.7.2
Vcs-Browser: https://github.com/ubuntubudgie/budgie-desktop-debian/tree/debian
Vcs-Git: https://github.com/ubuntubudgie/budgie-desktop-debian.git -b debian
Rules-Requires-Root: no

Package: budgie-core
Architecture: any
Depends:
 budgie-session,
 gammastep,
 gir1.2-budgie-3.0 (= ${binary:Version}),
 gir1.2-budgieraven-3.0 (= ${binary:Version}),
 gnome-settings-daemon,
 grim,
 libbudgie-appindexer0 (= ${binary:Version}),
 libbudgie-plugin0 (= ${binary:Version}),
 libbudgie-private0 (= ${binary:Version}),
 libbudgietheme0 (= ${binary:Version}),
 libraven0 (= ${binary:Version}),
 mutter-common,
 python3,
 slurp,
 swaybg,
 swayidle,
 wlopm,
 zenity (>= 3.99),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: labwc, swaylock,
Suggests: gtklock-userinfo-module,
Conflicts: appmenu-gtk3-module, budgie-appmenu-applet, budgie-sntray-plugin,
Description: Core package for Budgie-Desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This is the base package for budgie-desktop.  This package provides:
  GNOME Network Manager autostart file specifically for Budgie
  budgie-desktop plugins
  locales and icons for budgie-desktop
  budgie-desktop executables
  GLib schemas for budgie-desktop
  Session file for budgie-desktop

Package: budgie-core-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-budgie-3.0 (= ${binary:Version}),
 gir1.2-budgieraven-3.0 (= ${binary:Version}),
 libglib2.0-dev,
 libgtk-3-dev,
 libpeas-2-dev,
 ${misc:Depends},
Provides:
 gir1.2-budgie-3.0-dev (= ${binary:Version}),
 gir1.2-budgieraven-3.0-dev (= ${binary:Version}),
 ${gir:Provides},
Suggests: budgie-desktop-doc,
Description: Development package for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This package provides the development files allowing compilation
 through the budgie-desktop API.  This package provides:
  C Header files
  Vala .vapi files

Package: budgie-desktop
Architecture: all
Depends:
 blueman,
 budgie-control-center,
 budgie-core (>= ${source:Version}),
 dconf-cli,
 network-manager-gnome,
 notification-daemon,
 python3-psutil,
 xdotool,
 ${misc:Depends},
Recommends: xdg-desktop-portal-wlr, ${dist:Recommends},
Suggests: budgie-desktop-environment, ${dist:Suggests},
Description: Desktop package for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 The desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This package installs the minimal GNOME based package-set together with
 the key budgie-desktop packages to produce a working desktop
 environment.

Package: gir1.2-budgie-1.0
Depends: gir1.2-budgie-3.0, ${gir:Depends}, ${misc:Depends},
Architecture: all
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: gir1.2-budgie-3.0
Section: introspection
Architecture: any
Replaces: gir1.2-budgie-1.0,
Breaks: gir1.2-budgie-1.0 (<< 10.9.3-1~),
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends},
Description: GNOME introspection library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This is the introspection library and allows creating plugins in
 python3, C and Vala

Package: gir1.2-budgieraven-3.0
Section: introspection
Architecture: any
Replaces: gir1.2-budgieraven-1.0,
Breaks: gir1.2-budgieraven-1.0 (<< 10.9.3-1~),
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends},
Description: GNOME introspection library for budgie-desktop (raven)
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This is the introspection library and allows creating plugins in
 python3, C and Vala for the raven sidebar

Package: libbudgie-appindexer0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Menu library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This manages all of the application and category menu states for
 installed applications on the system.

Package: libbudgie-plugin0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plugin library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This adds the panel plugin library to budgie-desktop

Package: libbudgie-private0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Budgie Private library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This provides a private ABI for raven and the budgie panel

Package: libbudgie-raven-plugin0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Raven Plugin library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This add the raven plugin library to budgie-desktop

Package: libbudgie-windowing0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Budgie Private Windowing library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This provides a private ABI for the windowing capability

Package: libbudgietheme0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Theme library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This adds the theme controls for budgie-desktop

Package: libraven0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Raven library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GVC and gnome-settings-daemon.
 .
 This provides the budgie-desktop user-defined settings called raven.

=== debian/rules ===
--- 
+++ 
@@ -15,18 +15,13 @@
 	dh $@ --with gir
 
 override_dh_auto_configure:
-	touch src/daemon/bsd/plugins/common/gtk.css
-	dh_auto_configure -- --prefix=/usr --libdir=/usr/lib -Dwith-gnome-screensaver=true
+	dh_auto_configure -- --prefix=/usr -Dwith-gtk-doc=false -Dwith-runtime-dependencies=false
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(SUBSTVARSREC) $(SUBSTVARSSUG)
 
 override_dh_auto_install:
 	dh_auto_install
-	mkdir -p "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
-	mv "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0/Budgie-1.0.typelib" "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
-	mv "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0/BudgieRaven-1.0.typelib" "$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/girepository-1.0"
-	rm -rf "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0"
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
 	dh_install -pbudgie-desktop debian/15_budgie-desktop-ubuntu.gschema.override /usr/share/glib-2.0/schemas/
 endif

## budgie-desktop 10.10~preview.2

=== meson_options.txt ===
option('ci', type: 'boolean', value: false, description: 'Continuous Integration flag (internal use only)')
option('gsd-libexecdir', type: 'string', description: 'Directory containing the gsd-* executables')
option('labwc-bindir', type: 'string', description: 'Directory containing the labwc executable')
#option('magpie-bindir', type: 'string', description: 'Directory containing the magpie-wm executable')
option('use-old-zenity', type: 'boolean', value: false, description: 'Use old zenity CLI API for out-of-process dialog handling')
option('with-bluetooth', type: 'boolean', value: true, description: 'Enable Bluetooth (Vala option)')
option('with-gtk-doc', type: 'boolean', value: true, description: 'Build gtk-doc documentation')
option('with-hibernate', type: 'boolean', value: true, description: 'Include support for system hibernation')
option('with-libuuid-time-safe', type: 'boolean', value: true, description: 'Enable use of LIBUUID.generate_time_safe (Vala option)')
option('with-polkit', type: 'boolean', value: true, description: 'Enable PolKit support')
option('with-runtime-dependencies', type: 'boolean', value: true, description: 'Check during build for critical runtime dependencies')
option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
option('xdg-appdir', type: 'string', description: 'XDG autostart path')

=== debian/changelog ===
budgie-desktop (10.10~preview.2-2) experimental; urgency=medium

  * Patch to remember display positions, resolution and scaling
    0001-Remember-display-changes-from-wdisplays.patch
    This is temporary until its replacement budgie-desktop-services
    and budgie-display-configurator is accepted into Debian

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 22 Dec 2025 15:28:23 +0000

budgie-desktop (10.10~preview.2-1) experimental; urgency=medium

  * New upstream release
    BudgieMenuWindow: Adapt to new BCC desktop file name
    panel/plugin-manager: Don't free object owned by hashtable
    Fix critical crashes and robustness issues across Budgie Desktop
    Calculate the position on the screen to show the run dialog
    build: Update libxfce4windowing to a minimum of 4.20.4
    Add environment variables to help running budgie in virtualbox and
    also help electron based apps think they are still running in GNOME
    Reset values of caffeine mode only if needed
    fix(panel): crash on direct position flip (horizontal or vertical)
  * d/watch fix watch to download preview assets
  * d/control correct Vcs to point to ubuntu repo
  * Add lfwvapi.patch to fix missing v4.20.4 libxfce4windowing package vapi

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 20 Dec 2025 23:39:56 +0000

budgie-desktop (10.10~preview.1-1) experimental; urgency=medium

  * New upstream release
    - upstream has marked this as preview to indicate that it is
      experimental
    - this preview release transitions budgie to be a wayland only
      desktop.  (Closes: #990678)
      The packaging changes described below reflect
      this transition. (Closes: #980384)
  * d/control switch Vcs to budgie-desktop-debian for gbp buildpackage
    compatibility
  * tweak lib dependencies to ensure version of binary is respected
  * Add conflict for budgie-appmenu-applet, budgie-sntray-applet since
    these are incompatible with budgie-desktop 10.10
  * add the two budgie gir packages as dependencies for budgie-core,
    remove as recommends from budgie-desktop
  * Add Conflicts: appmenu-gtk3-module to force its uninstallation
  * Remove obsolete /etc/xdg/autostart/ files via budgie-core.conffiles
  * Use multiarch location for installs
  * Add python3-psutil to allow labwc python3 to run
  * Add mutter-common as a dependency
  * Add slurp as a dependency, gtklock and gtklock-user-module as suggests
  * move magpie to recommends, add grim as a dependency for screen capture
  * Remove B/D libmagpie-0-dev
  * Switch to using libpeas2 and pygobject 3.54 (helps address issue #1120138)
    add replaces/breaks on gir1.2-budgie-3.0
    use old/new d/control to uplift gir1.2-budgie-3.0
    add replaces/breaks on gir1.2-budgieraven-1.0
    use old/new d/control to uplift gir1.2-budgieraven-3.0
  * remove build rule with gnome-screensaver
  * Remove gnome-screensaver dependency (Closes: #1092932)
    to ensure gnome-shell et all are not being pulled
  * add notification-daemon to stop gnome-shell etc all being pulled in
  * Add labwc as an alternate wayland session
  * Note; restores superficial autopkgtest (Closes: #1004364)
  * Revise symbols for this release
  * wrap-and-sort -bst

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 08 Nov 2025 09:43:01 +0000

=== debian/control ===
--- 
+++ 
@@ -33,15 +33,15 @@
  libpulse-mainloop-glib0,
  libupower-glib-dev (>= 1.0),
  libwnck-3-dev,
- libxfce4windowing-0-dev (>= 4.19.4),
+ libxfce4windowing-0-dev (>= 4.20.4),
  meson,
  sassc,
  uuid-dev,
  valac,
  zenity (>= 3.99),
 Standards-Version: 4.7.2
-Vcs-Browser: https://github.com/ubuntubudgie/budgie-desktop-debian/tree/debian
-Vcs-Git: https://github.com/ubuntubudgie/budgie-desktop-debian.git -b debian
+Vcs-Browser: https://github.com/ubuntubudgie/budgie-desktop-debian/tree/debian/latest
+Vcs-Git: https://github.com/ubuntubudgie/budgie-desktop-debian.git -b debian/latest
 Rules-Requires-Root: no
 
 Package: budgie-core
@@ -123,6 +123,8 @@
  notification-daemon,
  python3-psutil,
  xdotool,
+ wdisplays,
+ wlr-randr,
  ${misc:Depends},
 Recommends: xdg-desktop-portal-wlr, ${dist:Recommends},
 Suggests: budgie-desktop-environment, ${dist:Suggests},

=== debian/tests/control ===
Tests: desktopname,
Restrictions: superficial,

## budgie-desktop 10.10.0

=== debian/changelog ===
budgie-desktop (10.10.0-1) experimental; urgency=medium

  * New upstream release
    - upstream has marked this as stable

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 12 Jan 2026 20:29:58 +0000

## budgie-desktop 10.10.1

=== debian/changelog ===
budgie-desktop (10.10.1-2ubuntu1) resolute; urgency=medium

  * Merge from debian/latest, except
    Drop patch 0001-Remember-display-changes-from-wdisplays.patch
    since it has been superseded by budgie-desktop-services
  * d/control add dependency on budgie-desktop-services

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 10 Feb 2026 18:14:06 +0000

budgie-desktop (10.10.1-2) experimental; urgency=medium

  * Add xdg_config_dirs.patch for apps such as crystal-dock that
    don't supply a fallback

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 04 Feb 2026 21:53:50 +0000

budgie-desktop (10.10.1-1) experimental; urgency=medium

  * New upstream release
  * Packaging Changes
    remove lintian-overrides since lintian not longer requires the
    overrides therein

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 01 Feb 2026 13:46:23 +0000

=== debian/control ===
--- 
+++ 
@@ -125,6 +125,7 @@
  xdotool,
  wdisplays,
  wlr-randr,
+ budgie-desktop-services,
  ${misc:Depends},
 Recommends: xdg-desktop-portal-wlr, ${dist:Recommends},
 Suggests: budgie-desktop-environment, ${dist:Suggests},
